This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 46289 - Problem with rpm 4.0.2 and/or glibc 2.2.2
Problem with rpm 4.0.2 and/or glibc 2.2.2
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-27 13:21 EDT by Need Real Name
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-27 13:21:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-06-27 13:21:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
Problem with rpm 4.0.2 and/or glibc 2.2.2: rpm -qa works fine, but rpm -
Uvh <some-file.rpm> fails with the following error message:
rpm: ../iconv/skeleton.c:304: gconv: Assertion `outbufstart == ((void *)
0)' failed.
Aborted (core dumped)


How reproducible:
Always

Steps to Reproduce:
1. Install glibc 2.2.2 on RH6.2
2. Install RPM 4.0.2, popt 1.62, db3 3.17
3. ldconfig
4. rpm --rebuilddb 
5. rpm -Uvh <some-file.rpm>

Actual Results:  [root@n5 cc]# rpm -Uvh intel-icc-5.0.1-56.i386.rpm intel-
ldb-5.0.1-12.i386.rpm intel-subh-5.0.1-42.i386.rpm intel-xenv-5.0.1-
40.i386.rpm 
rpm: ../iconv/skeleton.c:304: gconv: Assertion `outbufstart == ((void *)
0)' failed.
Aborted (core dumped)


Expected Results:  rpm should install the packages :-)

Additional info:

I have entered this into bugzilla at Jeff Johnson's request and copied my 
original email below.

-----

Hello Jeff,
I saw one of your postings on Usenet re: problems upgrading RPM 3.x to 4.x 
and I was hoping that I could beg for some assistance from you.
I am a sysadmin in charge of a small cluster of RH6.2 machines which have 
been modifed to provide large file support (glibc 2.2.2, kernel 2.4.2, 
etc).  Everything is working pretty well but recently I was trying to 
install the new Intel C and Fortran compilers for one of the scientists 
over here and ran into trouble.  The compilers come in rpm format and when 
I tried to install them I got an error like this:

[root@n5 cc]# pwd
/var/tmp/intel/cc
[root@n5 cc]# ls *.rpm
intel-ecc-5.0.1-57.i386.rpm  intel-subh-5.0.1-42.i386.rpm
intel-icc-5.0.1-56.i386.rpm  intel-xenv-5.0.1-40.i386.rpm
intel-ldb-5.0.1-12.i386.rpm
[root@n5 cc]# rpm -Uvh intel-icc-5.0.1-56.i386.rpm intel-ldb-5.0.1-
12.i386.rpm intel-subh-5.0.1-42.i386.rpm intel-xenv-5.0.1-40.i386.rpm 
rpm: ../iconv/skeleton.c:304: gconv: Assertion `outbufstart == ((void *)
0)' failed.
Aborted (core dumped)

RPM is giving me the same error on other rpm files so I'm pretty sure it's 
not a file corruption issue.  We were running RPM 3.0.5 before, so I 
thought maybe I needed to upgrade rpm to match the new glibc.  I 
downloaded the appropriate files from ftp.redhat.com and used alien to 
convert them to tgz (since rpm is broken).

n5 ~/rpm % ls
db3-3.1.17-4.6x.i386.rpm        rpm-4.0.2-6x.i386.rpm           
db3-devel-3.1.17-4.6x.i386.rpm  rpm-build-4.0.2-6x.i386.rpm
db3-utils-3.1.17-4.6x.i386.rpm  rpm-devel-4.0.2-6x.i386.rpm
popt-1.6.2-6x.i386.rpm          rpm-python-4.0.2-6x.i386.rpm

I installed all of these, ran rpm --rebuilddb and ldconfig. No apparent 
problems.  But RPM is giving me the same error as before.  The funny thing 
is that some of the RPM commands work fine (rpm -qa, for example) but rpm -
Uvh does not. I have run across some postings in Usenet which indicate 
that this may be a problem with glibc, I was just wondering if you had 
seen anything like this before?  Thanks in advance for any help you can 
offer.

--aaron
aaron_ogden@yahoo.com

-----

n5 ~ # ldconfig -v
/lib:
        libdb-3.1.so -> libdb-3.1.so
        libpcprofile.so -> libpcprofile.so
        libmemusage.so -> libmemusage.so
        libdl.so.1 -> libdl.so.1.9.5
        ld-linux.so.1 -> ld-linux.so.1.9.5
        libpam_misc.so.0 -> libpam_misc.so.0.72
        libpam.so.0 -> libpam.so.0.72
        libproc.so.2.0.6 -> libproc.so.2.0.6
        libuuid.so.1 -> libuuid.so.1.2
        libss.so.2 -> libss.so.2.0
        libext2fs.so.2 -> libext2fs.so.2.4
        libe2p.so.2 -> libe2p.so.2.3
        libcom_err.so.2 -> libcom_err.so.2.0
        libpwdb.so.0 -> libpwdb.so.0.61
        libtermcap.so.2 -> libtermcap.so.2.0.8
        libutil.so.1 -> libutil-2.2.2.so
        libthread_db.so.1 -> libthread_db-1.0.so
        librt.so.1 -> librt-2.2.2.so
        libresolv.so.2 -> libresolv-2.2.2.so
        libpthread.so.0 -> libpthread-0.9.so
        libnss_nisplus.so.2 -> libnss_nisplus-2.2.2.so
        libnss_nis.so.2 -> libnss_nis-2.2.2.so
        libnss_hesiod.so.2 -> libnss_hesiod-2.2.2.so
        libnss_files.so.2 -> libnss_files-2.2.2.so
        libnss_dns.so.2 -> libnss_dns-2.2.2.so
        libnss_db.so.2 -> libnss_db-2.1.3.so
        libnss_compat.so.2 -> libnss_compat-2.2.2.so
        libnss_nis.so.1 -> libnss1_nis-2.1.3.so
        libnss_files.so.1 -> libnss1_files-2.1.3.so
        libnss_dns.so.1 -> libnss1_dns-2.1.3.so
        libnss_db.so.1 -> libnss1_db-2.1.3.so
        libnss_compat.so.1 -> libnss1_compat-2.1.3.so
        libnsl.so.1 -> libnsl-2.2.2.so
        libm.so.6 -> libm-2.2.2.so
        libdl.so.2 -> libdl-2.2.2.so
        libdb.so.2 -> libdb1-2.1.3.so
        libdb.so.3 -> libdb-2.1.3.so
        libcrypt.so.1 -> libcrypt-2.2.2.so
        libc.so.6 -> libc-2.2.2.so
        libSegFault.so -> libSegFault.so
        libNoVersion.so.1 -> libNoVersion-2.1.3.so
        libBrokenLocale.so.1 -> libBrokenLocale-2.2.2.so
        ld-linux.so.2 -> ld-2.2.2.so
/usr/lib:
        libdb_tcl-3.1.so -> libdb_tcl-3.1.so
        libdb_cxx-3.1.so -> libdb_cxx-3.1.so
        librpmio.so.0 -> librpmio.so.0.0.0
        libc.so.6 -> libc.so.6
        libasciiexport.so -> libasciiexport.so
        libasciiimport.so -> libasciiimport.so
        libcsvfilterdia.so -> libcsvfilterdia.so
        libkspreadcalc.so -> libkspreadcalc.so
        libkspreadpart.so -> libkspreadpart.so
        libkpresenterpart.so -> libkpresenterpart.so
        libkillustratorpart.so -> libkillustratorpart.so
        libkodocinfopropspage.so.0 -> libkodocinfopropspage.so.0.0.0
        libquicklauncher.so.1 -> libquicklauncher.so.1.0.0
        libktaskbarapplet.so.1 -> libktaskbarapplet.so.1.0.0
        libkminipagerapplet.so.1 -> libkminipagerapplet.so.1.0.0
        libksystemtrayapplet.so.1 -> libksystemtrayapplet.so.1.0.0
        libkcm_virtualdesktops.so -> libkcm_virtualdesktops.so
        libolefilter.so -> libolefilter.so
        ld-linux.so.2 -> ld-2.2.2.so
        libhtmlexport.so -> libhtmlexport.so
        libhtmlimport.so -> libhtmlimport.so
        libcsvexport.so -> libcsvexport.so
        libkofficeui.so.1 -> libkofficeui.so.1.0.0
        libkofficecore.so.1 -> libkofficecore.so.1.0.0
        libcsvimport.so -> libcsvimport.so
        libkspelltool.so -> libkspelltool.so
        libkwordpart.so -> libkwordpart.so
        libkcm_xmlrpcd.so -> libkcm_xmlrpcd.so
        libkwinmodernsys.so -> libkwinmodernsys.so
        libkchartpart.so -> libkchartpart.so
        libkochart.so.1 -> libkochart.so.1.0.0
        libkformula.so.3 -> libkformula.so.3.0.0
        libkwindefault.so.0 -> libkwindefault.so.0.0.0
        libkoscript.so.1 -> libkoscript.so.1.0.0
        libkstore.so.1 -> libkstore.so.1.0.0
        libkonsolepart.so -> libkonsolepart.so
        libkcm_screensaver.so -> libkcm_screensaver.so
        libkonqlistview.so -> libkonqlistview.so
        libkonqdirtree.so -> libkonqdirtree.so
        libkoml.so.1 -> libkoml.so.1.0.0
        libkshorturifilter.so.1 -> libkshorturifilter.so.1.0.0
        libktimemon.so.1 -> libktimemon.so.1.0.0
        libkcm_laptop.so -> libkcm_laptop.so
        libkonqiconview.so -> libkonqiconview.so
        libkcm_ktalkd.so -> libkcm_ktalkd.so
        libkcm_layout.so -> libkcm_layout.so
        libkwritepart.so -> libkwritepart.so
        libkwinriscos.so -> libkwinriscos.so
        libkwinlaptop.so -> libkwinlaptop.so
        libkwinsystem.so -> libkwinsystem.so
        libkwinb2.so -> libkwinb2.so
        libkwinkstep.so -> libkwinkstep.so
        libkwinkde1.so -> libkwinkde1.so
        libsmb++.so.0 -> libsmb++.so.0.0.9
        libkrunapplet.so.1 -> libkrunapplet.so.1.0.0
        libclockapplet.so.1 -> libclockapplet.so.1.0.0
        libkcm_khotkeys.so -> libkcm_khotkeys.so
        libkhelpcenter.so.1 -> libkhelpcenter.so.1.0.0
        libkcm_htmlsearch.so -> libkcm_htmlsearch.so
        libkcm_iconthemes.so -> libkcm_iconthemes.so
        libkurisearchfilter.so.1 -> libkurisearchfilter.so.1.0.0
        libkcm_taskbar.so -> libkcm_taskbar.so
        libkuriikwsfilter.so.1 -> libkuriikwsfilter.so.1.0.0
        libkcm_kwindesktop.so -> libkcm_kwindesktop.so
        libkcm_kwinoptions.so -> libkcm_kwinoptions.so
        libx11globalcomm.so.0 -> libx11globalcomm.so.0.0.0
        libkcm_knotify.so -> libkcm_knotify.so
        libkcm_passwords.so -> libkcm_passwords.so
        libsoundserver_idl.so.0 -> libsoundserver_idl.so.0.0.0
        libhtmlsearch.so -> libhtmlsearch.so
        libkcm_kurifilt.so -> libkcm_kurifilt.so
        libkcm_konqhtml.so -> libkcm_konqhtml.so
        libkcm_midi.so -> libkcm_midi.so
        libkcm_crypto.so -> libkcm_crypto.so
        libkcm_icons.so -> libkcm_icons.so
        libkcm_kwinmouse.so -> libkcm_kwinmouse.so
        libkcm_filetypes.so -> libkcm_filetypes.so
        libkcm_fonts.so -> libkcm_fonts.so
  libkcm_energy.so -> libkcm_energy.so
        libkcm_colors.so -> libkcm_colors.so
        libkcm_access.so -> libkcm_access.so
        libkcm_clock.so -> libkcm_clock.so
        libkcm_arts.so -> libkcm_arts.so
        libkcm_background.so -> libkcm_background.so
        libkcm_email.so -> libkcm_email.so
        libkmedia2_idl.so.0 -> libkmedia2_idl.so.0.0.0
        libkcm_konq.so -> libkcm_konq.so
        libartsflow_idl.so.0 -> libartsflow_idl.so.0.0.0
        libkcm_kio.so -> libkcm_kio.so
        libkcm_keys.so -> libkcm_keys.so
        libkcm_locale.so -> libkcm_locale.so
        libkcm_kicker.so -> libkcm_kicker.so
        libkcm_kdm.so -> libkcm_kdm.so
        libkcm_info.so -> libkcm_info.so
        libkcm_input.so -> libkcm_input.so
        libkcm_style.so -> libkcm_style.so
        libkcm_samba.so -> libkcm_samba.so
        libkcm_bell.so -> libkcm_bell.so
        libartscbackend.so.0 -> libartscbackend.so.0.0.0
        libqtmcop.so.0 -> libqtmcop.so.0.0.0
        libkonq.so.3 -> libkonq.so.3.0.0
        libgnomecanvaspixbuf.so.1 -> libgnomecanvaspixbuf.so.1.0.0
        libktexteditor.so.0 -> libktexteditor.so.0.0.0
        libartsflow.so.0 -> libartsflow.so.0.0.0
        libmcop.so.0 -> libmcop.so.0.0.0
        libkmid.so.0 -> libkmid.so.0.0.95
        libartsdsp.so.0 -> libartsdsp.so.0.0.0
        libartsc.so.0 -> libartsc.so.0.0.0
        libksycoca.so.3 -> libksycoca.so.3.0.0
        libgen_util_applet.so.0 -> libgen_util_applet.so.0.0.0
        libgncengine.so.0 -> libgncengine.so.0.1.1
        libkspell.so.3 -> libkspell.so.3.0.0
        libkparts.so.1 -> libkparts.so.1.0.0
        libkssl.so.2 -> libkssl.so.2.0.0
        libkjava.so.1 -> libkjava.so.1.0.0
        libkjs.so.1 -> libkjs.so.1.0.0
        libkhtml.so.3 -> libkhtml.so.3.0.0
        libkfile.so.3 -> libkfile.so.3.0.0
        libkio.so.3 -> libkio.so.3.0.0
        libkdeui.so.3 -> libkdeui.so.3.0.0
        libkdesu.so.1 -> libkdesu.so.1.0.0
        libgimpui-1.1.so.25 -> libgimpui-1.1.so.25.0.0
        libkdecore.so.3 -> libkdecore.so.3.0.0
        libgimp-1.1.so.25 -> libgimp-1.1.so.25.0.0
        libkab.so.3 -> libkab.so.3.0.0
        libDCOP.so.1 -> libDCOP.so.1.0.0
        libpanel_status.so.0 -> libpanel_status.so.0.0.0
        libmimelib.so.1 -> libmimelib.so.1.0.1
        libcrypto.so.0 -> libcrypto.so.0.9.5
        libmng.so.0 -> libmng.so.0.0.9
        libsigc-1.0.so.0 -> libsigc-1.0.so.0.0.0
        libssl.so.0 -> libssl.so.0.9.5
        libucdagent.so.0 -> libucdagent.so.0.4.1.1
        libucdmibs.so.0 -> libucdmibs.so.0.4.1.1
        libvgagl.so.1 -> libvgagl.so.1.4.1
        libmemintercept.so -> libmemintercept.so
        libgtkmm-1.2.so.0 -> libgtkmm-1.2.so.0.1.0
        libgdkmm-1.2.so.1 -> libgdkmm-1.2.so.1.0.0
        libgnomeprint.so.6 -> libgnomeprint.so.6.3.1
        libsnmp.so.0 -> libsnmp.so.0.4.1.1
        libvga.so.1 -> libvga.so.1.4.1
        libstyle.so.1 -> libstyle.so.1.0.3
        libspgrove.so.1 -> libspgrove.so.1.0.3
        libltdl.so.0 -> libltdl.so.0.1.2
        libgrove.so.1 -> libgrove.so.1.0.3
        libgdk_pixbuf_xlib.so.2 -> libgdk_pixbuf_xlib.so.2.0.0
        libgdkcardimage.so.0 -> libgdkcardimage.so.0.0.0
        libstdc++-libc6.1-1.so.2 -> libstdc++-2-libc6.1-1-2.9.0.so
        libgtop_suid_common.so.1 -> libgtop_suid_common.so.1.0.8
        libgdk_pixbuf.so.2 -> libgdk_pixbuf.so.2.0.0
        libgck-1.1.so.25 -> libgck-1.1.so.25.0.0
        libsp.so.1 -> libsp.so.1.0.3
        libgtop_guile_names.so.1 -> libgtop_guile_names.so.1.0.8
        libobgtk.so.1 -> libobgtk.so.1.2.1
        libobgnome.so.0 -> libobgnome.so.0.0.0
        libtixsam4.1.8.0.so -> libtixsam4.1.8.0.so
        libtix4.1.8.0.so -> libtix4.1.8.0.so
        libtkx8.0.4.so -> libtkx8.0.4.so
        libstdc++.so.2.7.2 -> libstdc++.so.2.7.2.8
        libtclx8.0.4.so -> libtclx8.0.4.so
        libslang.so.1 -> libslang.so.1.2.2
        libnewt.so.0.50 -> libnewt.so.0.50.8
        libmikmod.so.2 -> libmikmod.so.2.0.1
        libungif.so.4 -> libungif.so.4.1.0
        libungif.so.3 -> libungif.so.3.1.0
        libgtop_sysdeps.so.1 -> libgtop_sysdeps.so.1.0.8
        libgtop_names.so.1 -> libgtop_names.so.1.0.8
        libgtop_guile.so.1 -> libgtop_guile.so.1.0.8
        libg++.so.2.7.2 -> libg++.so.2.7.2.8
        libstdc++.so.2.8 -> libstdc++.so.2.8.0
        libstdc++.so.2.9 -> libstdc++.so.2.9.dummy
        libgtop_common.so.1 -> libgtop_common.so.1.0.8
        libjpeg.so.62 -> libjpeg.so.62.0.0
        libglade-gnome.so.0 -> libglade-gnome.so.0.4.0
        libgdk_imlib.so.1 -> libgdk_imlib.so.1.9.8
        libglade.so.0 -> libglade.so.0.4.0
        libghttp.so.1 -> libghttp.so.1.0.0
        libimlib-xpm.so -> libimlib-xpm.so
        libgtkxmhtml.so.1 -> libgtkxmhtml.so.1.0.1
        libgnorbagtk.so.0 -> libgnorbagtk.so.0.0.0
        libopcodes-2.9.5.0.22.so -> libopcodes-2.9.5.0.22.so
        libgnomesupport.so.0 -> libgnomesupport.so.0.0.0
        libimlib-tiff.so -> libimlib-tiff.so
        libimlib-ps.so -> libimlib-ps.so
        libimlib-ppm.so -> libimlib-ppm.so
        libpanel_applet.so.0 -> libpanel_applet.so.0.0.1
        libimlib-png.so -> libimlib-png.so
        libimlib-jpeg.so -> libimlib-jpeg.so
        libimlib-gif.so -> libimlib-gif.so
        libimlib-bmp.so -> libimlib-bmp.so
        libImlib.so.1 -> libImlib.so.1.9.8
        libguile.so.4 -> libguile.so.4.0.0
        libhistory.so.3 -> libhistory.so.3.0
        libreadline.so.3 -> libreadline.so.3.0
        libgkb_applet.so.0 -> libgkb_applet.so.0.0.0
        librep.so.9 -> librep.so.9.0.4
        libxmms.so.1 -> libxmms.so.1.0.0
        libtk8.0.so -> libtk8.0.so
        libgtk-1.2.so.0 -> libgtk-1.2.so.0.5.3
        libfish_applet.so.0 -> libfish_applet.so.0.0.0
        libgdk-1.2.so.0 -> libgdk-1.2.so.0.5.3
        libgnorba.so.27 -> libgnorba.so.27.1.8
        libtcl8.0.so -> libtcl8.0.so
        libgnomeui.so.32 -> libgnomeui.so.32.11.3
        libgnome.so.32 -> libgnome.so.32.3.11
        libxml.so.0 -> libxml.so.0.0.0
        libtiff.so.3 -> libtiff.so.3.5
        librep.so.7 -> librep.so.7.0.0
        libart_lgpl.so.2 -> libart_lgpl.so.2.2.0
        libpng.so.2 -> libpng.so.2.1.0.5
        libgtop.so.1 -> libgtop.so.1.0.8
        librle.so.1 -> librle.so.1.0.0
        libppm.so.1 -> libppm.so.1.0.0
        libpnm.so.1 -> libpnm.so.1.0.0
        libpgm.so.1 -> libpgm.so.1.0.0
        libpbm.so.1 -> libpbm.so.1.0.0
        libfbm.so.1 -> libfbm.so.1.0.0
        libgtk.so.1 -> libgtk.so.1.0.6
        libgdk.so.1 -> libgdk.so.1.0.6
        libgpm.so.1 -> libgpm.so.1.17.3
        libFnlib.so.0 -> libFnlib.so.0.4.0
        libxml.so.1 -> libxml.so.1.8.10
        libzvt.so.2 -> libzvt.so.2.2.7
        libgmp.so.2 -> libgmp.so.2.0.2
        libglib.so.1 -> libglib.so.1.0.6
        libexpect5.28.so -> libexpect5.28.so
        libesddsp.so.0 -> libesddsp.so.0.2.19
        libbfd-2.9.5.0.22.so -> libbfd-2.9.5.0.22.so
        libcapplet.so.0 -> libcapplet.so.0.0.0
        libgdbm.so.2 -> libgdbm.so.2.0.0
        libttf.so.2 -> libttf.so.2.2.0
        libesd.so.0 -> libesd.so.0.2.19
        libaudiofile.so.0 -> libaudiofile.so.0.0.0
        libgthread-1.2.so.0 -> libgthread-1.2.so.0.0.8
        libgmodule-1.2.so.0 -> libgmodule-1.2.so.0.0.8
        librpmbuild.so.0 -> librpmbuild.so.0.0.0
        librpm.so.0 -> librpm.so.0.0.0
        libz.so.1 -> libz.so.1.1.3
        libORBitCosNaming.so.0 -> libORBitCosNaming.so.0.5.3
        libglib-1.2.so.0 -> libglib-1.2.so.0.0.8
        libctgeneric.so.0 -> libctgeneric.so.0.0.0
        libctutils.so.0 -> libctutils.so.0.0.0
        libbz2.so.0 -> libbz2.so.0.0.0
        libpopt.so.0 -> libpopt.so.0.0.0
        libconsole.so.0 -> libconsole.so.0.0.0
        libcfont.so.0 -> libcfont.so.0.0.0
        libcrack.so.2 -> libcrack.so.2.7
        libutempter.so.0 -> libutempter.so.0.5.2
        libORBitutil.so.0 -> libORBitutil.so.0.5.3
        libORBit.so.0 -> libORBit.so.0.5.3
        libIIOP.so.0 -> libIIOP.so.0.5.3
        libIDL-0.6.so.0 -> libIDL-0.6.so.0.4.4
        libpanel.so.4 -> libpanel.so.4.0
        libmenu.so.4 -> libmenu.so.4.0
        libncurses.so.4 -> libncurses.so.4.0
        libform.so.4 -> libform.so.4.0
        libgd.so.1 -> libgd.so.1.2
/usr/i686-linuxglibc2/lib:
        ld-linux.so.2 -> ld-2.2.2.so
        libc.so.6 -> libc-2.2.2.so
        libm.so.6 -> libm-2.2.2.so
/usr/X11R6/lib:
        libXaw3d.so.6 -> libXaw3d.so.6.1
        libXpm.so.4 -> libXpm.so.4.11
        libXtst.so.6 -> libXtst.so.6.1
        libXt.so.6 -> libXt.so.6.0
        libXp.so.6 -> libXp.so.6.2
        libXmu.so.6 -> libXmu.so.6.0
        libXi.so.6 -> libXi.so.6.0
        libXext.so.6 -> libXext.so.6.3
        libXaw.so.6 -> libXaw.so.6.1
        libXIE.so.6 -> libXIE.so.6.0
        libX11.so.6 -> libX11.so.6.1
        libSM.so.6 -> libSM.so.6.0
        libPEX5.so.6 -> libPEX5.so.6.0
        libICE.so.6 -> libICE.so.6.3
        libglut.so.3 -> libglut.so.3.7.0
        libGLU.so.1 -> libGLU.so.1.2.0
        libGL.so.1 -> libGL.so.1.2.0
        libMagick.so.4 -> libMagick.so.4.0.29
/usr/pgi/linux86/lib:
        libpgthread.so -> libpgthread.so
Comment 1 Jeff Johnson 2001-06-27 14:48:30 EDT
OK, here's the problem. There's an incompatible data structure in gconv
(i.e. the i18n handling in glibc) that affects statically linked binaries
like /bin/rpm. Since you've managed to upgrade to glibc-2.2.2, you're
not really a Red Hat 6.2 system anymore, and so should install and use
the 7x rpm packages, not the 6x packages.

You may have to upgrade rpm manually by doing (assuming 7.x
rpm packages in /var/tmp)
	cd /var/tmp
	mkdir xxx
	cd xxx
	rpm2cpio ../rpm-*.rpm | cpio -dim
	./bin/rpm -Uvh ../{rpm,popt}-*.rpm
Please reopen this bug if the above does not fix.
	

Note You need to log in before you can comment on or make changes to this bug.